"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDbOperationsLists = void 0;
const createDbOperationsLists = (configuredActions) => {
    const result = configuredActions.reduce((acc, [key, value]) => {
        const isEmpty = !(value === null || value === void 0 ? void 0 : value.length) || !value[0];
        if (isEmpty) {
            return {
                ...acc,
                toDelete: [...acc.toDelete, key],
            };
        }
        return {
            ...acc,
            toInsert: [
                ...acc.toInsert,
                ...value.map((action) => `${key}.${action}`),
            ],
            toDelete: [...acc.toDelete, key],
        };
    }, {
        toInsert: [],
        toDelete: [],
    });
    return result;
};
exports.createDbOperationsLists = createDbOperationsLists;
